import { __require as requireDatepart } from './datepart.mjs';
import { __require as requireMeridiem } from './meridiem.mjs';
import { __require as requireDay } from './day.mjs';
import { __require as requireHours } from './hours.mjs';
import { __require as requireMilliseconds } from './milliseconds.mjs';
import { __require as requireMinutes } from './minutes.mjs';
import { __require as requireMonth } from './month.mjs';
import { __require as requireSeconds } from './seconds.mjs';
import { __require as requireYear } from './year.mjs';

var dateparts;
var hasRequiredDateparts;
function requireDateparts() {
  if (hasRequiredDateparts) return dateparts;
  hasRequiredDateparts = 1;
  dateparts = {
    DatePart: requireDatepart(),
    Meridiem: requireMeridiem(),
    Day: requireDay(),
    Hours: requireHours(),
    Milliseconds: requireMilliseconds(),
    Minutes: requireMinutes(),
    Month: requireMonth(),
    Seconds: requireSeconds(),
    Year: requireYear()
  };
  return dateparts;
}

export { requireDateparts as __require };
